using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialCodeAdjustmentType
    {
        public FmsMaterialCodeAdjustmentType()
        {
            FmsMaterialRelease = new HashSet<FmsMaterialRelease>();
        }

        [Key]
        public short AdjustmentTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(1024)]
        public string Comment { get; set; }

        [InverseProperty("AdjustmentType")]
        public virtual ICollection<FmsMaterialRelease> FmsMaterialRelease { get; set; }
    }
}
